var util = require('util');
var httpProxy = require('noderpc/proxy/http');

var fixture = require('test/fixtures/noderpc');
var proxyObject = httpProxy(fixture.serviceDesc, '127.0.0.1', 8989);

exports["route"] = function (test) {
    test.equals('/fooservice/foo/arg1/arg2', proxyObject.buildRoute('foo', ['arg1', 'arg2']));
    test.done();
}
exports["remote call"] = function (test) {
    proxyObject.foo('arg1', 'arg2', function(result) {
        test.deepEqual(['arg1', 'arg2'], result);
        test.done();
    });
}
